Fetch a proof pack
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.enfinitos.com/v1/proof-packs/{packId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ok": true,
"data": {
"proofPack": {
"envelopeVersion": "<string>",
"issuedAt": "2023-11-07T05:31:56Z",
"orgId": "<string>",
"packId": "<string>",
"label": "<string>",
"records": [
{
"payload": {
"version": "<string>",
"receiptId": "<string>",
"correlationId": "<string>",
"spatialAnchorId": "<string>",
"spatialPlacementId": "<string>",
"issuedAt": "2023-11-07T05:31:56Z",
"renderedAt": "2023-11-07T05:31:56Z",
"dwellMs": 123,
"nonce": "<string>",
"witness": "<string>"
},
"keyId": "<string>",
"algorithm": "<string>",
"signature": "<string>",
"payloadCanonical": "<string>",
"beforeHash": "<string>",
"afterHash": "<string>"
}
],
"metering": {
"schemaVersion": "<string>",
"orgId": "<string>",
"periodStart": "2023-11-07T05:31:56Z",
"periodEnd": "2023-11-07T05:31:56Z",
"records": [
{
"idemKey": "<string>",
"proofReceiptId": "<string>",
"unitCount": "<string>",
"weight": "<string>",
"spatialAnchorId": "<string>",
"spatialPlacementId": "<string>",
"observedAt": "2023-11-07T05:31:56Z"
}
],
"totals": {}
},
"settlement": {
"schemaVersion": "<string>",
"orgId": "<string>",
"periodStart": "2023-11-07T05:31:56Z",
"periodEnd": "2023-11-07T05:31:56Z",
"currency": "<string>",
"meterGross": {},
"lines": [
{
"idemKey": "<string>",
"meterRecordIdemKey": "<string>",
"share": "<string>",
"ledgerAccountCode": "<string>",
"amountCents": 123,
"currency": "<string>"
}
],
"totals": {
"grossCents": 123,
"netToTenantCents": 123,
"platformFeeCents": 123,
"vatCents": 123,
"passThroughFeeLedgerCodes": [
"<string>"
]
}
}
}
},
"contractVersion": "<string>"
}Proof
Fetch a proof pack
Fetch a single signed proof pack including the inner receipts and the Ed25519 signature, so the caller can drop the response straight into the auditor SDK for offline verification. Requires scope proof:read.
GET
/
v1
/
proof-packs
/
{packId}
Fetch a proof pack
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.enfinitos.com/v1/proof-packs/{packId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ok": true,
"data": {
"proofPack": {
"envelopeVersion": "<string>",
"issuedAt": "2023-11-07T05:31:56Z",
"orgId": "<string>",
"packId": "<string>",
"label": "<string>",
"records": [
{
"payload": {
"version": "<string>",
"receiptId": "<string>",
"correlationId": "<string>",
"spatialAnchorId": "<string>",
"spatialPlacementId": "<string>",
"issuedAt": "2023-11-07T05:31:56Z",
"renderedAt": "2023-11-07T05:31:56Z",
"dwellMs": 123,
"nonce": "<string>",
"witness": "<string>"
},
"keyId": "<string>",
"algorithm": "<string>",
"signature": "<string>",
"payloadCanonical": "<string>",
"beforeHash": "<string>",
"afterHash": "<string>"
}
],
"metering": {
"schemaVersion": "<string>",
"orgId": "<string>",
"periodStart": "2023-11-07T05:31:56Z",
"periodEnd": "2023-11-07T05:31:56Z",
"records": [
{
"idemKey": "<string>",
"proofReceiptId": "<string>",
"unitCount": "<string>",
"weight": "<string>",
"spatialAnchorId": "<string>",
"spatialPlacementId": "<string>",
"observedAt": "2023-11-07T05:31:56Z"
}
],
"totals": {}
},
"settlement": {
"schemaVersion": "<string>",
"orgId": "<string>",
"periodStart": "2023-11-07T05:31:56Z",
"periodEnd": "2023-11-07T05:31:56Z",
"currency": "<string>",
"meterGross": {},
"lines": [
{
"idemKey": "<string>",
"meterRecordIdemKey": "<string>",
"share": "<string>",
"ledgerAccountCode": "<string>",
"amountCents": 123,
"currency": "<string>"
}
],
"totals": {
"grossCents": 123,
"netToTenantCents": 123,
"platformFeeCents": 123,
"vatCents": 123,
"passThroughFeeLedgerCodes": [
"<string>"
]
}
}
}
},
"contractVersion": "<string>"
}Authorizations
API key sent as Authorization: Bearer <api-key>.
Path Parameters
⌘I